/*
 * Copyright 2005-2013 The Kuali Foundation
 *
 * Licensed under the Educational Community License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.opensource.org/licenses/ecl2.php
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/**
 * Common constants and variables for KRAD
 */
function JavascriptKradVariables () {
}

JavascriptKradVariables.prototype = {

    // validation init
//    var pageValidatorReady : false,
//    var validateClient : true,
//    var messageSummariesShown : false,
//    var pauseTooltipDisplay : false,
//
//    var errorImage,
//    var errorGreyImage,
//    var warningImage,
//    var infoImage,

    // constants
     APPLICATION_CLASS  : "Uif-Application",
     APP_ID  : "Uif-Application",
     CHANGED_HEADER_ICON_CLASS : "uif-changedHeaderIcon",
     CLEAR_FORM_METHOD_TO_CALL : "retrieveMessage",
     CLIENT_MESSAGE_ITEMS_CLASS : "uif-clientMessageItems",
     CLIENT_WARNING_DIV_CLASS : "uif-clientWarningDiv",
     COLLAPSED_ERRORS_CLASS : "uif-collapsedErrors",
     COLLAPSED_INFO_CLASS : "uif-collapsedInfo",
     COLLAPSED_WARNINGS_CLASS : "uif-collapsedWarnings",
     COLLECTION_ITEM_CLASS : "uif-collectionItem",
     CONTROL_CLASS : "Uif-Application",
     DIRTY_CLASS : "dirty",
     ERROR_HIGHLIGHT_SECTION_CLASS : "uif-errorHighlight-section",
     ERROR_MESSAGE_ITEM_CLASS : "uif-errorMessageItem-field",
     FIELD_CLASS : "uif-field",
     HAS_ERROR_CLASS : "uif-hasError",
     HAS_INFO_CLASS : "uif-hasInfo",
     HAS_MODIFIED_ERROR_CLASS : "uif-hasError-modified",
     HAS_WARNING_CLASS : "uif-hasWarning",
     HEADER_TEXT_CLASS : "uif-headerText",
     IMAGE_LOCATION : "kradImageLocation",
     PORTAL_IFRAME_ID : "iframeportlet",
     INCIDENT_REPORT_VIEW_CLASS : "Uif-IncidentReportView",
     INFO_HIGHLIGHT_SECTION_CLASS : "uif-infoHighlight-section",
     INFO_MESSAGE_ITEM_CLASS : "uif-infoMessageItem-field",
     INPUT_FIELD_CLASS : "uif-inputField",
     INPUT_FIELD_SELECTOR : "[data-role:'InputField']",
     KUALI_FORM : "kualiForm",
     MESSAGE_COUNT_CLASS : "uif-messageCount",
     MESSAGE_KEY_DIRTY_FIELDS : "message.dirtyFields",
     MESSAGE_ERROR : "message.error",
     MESSAGE_ERROR_FIELD_MODIFIED : "message.errorFieldModified",
     MESSAGE_WARNING : "message.warning",
     MESSAGE_INFORMATION : "message.information",
     MESSAGE_DETAILS : "message.details",
     MESSAGE_CLOSE_DETAILS : "message.closeDetails",
     MESSAGE_LOADING : "message.loading",
     MESSAGE_CHANGE : "message.change",
     MESSAGE_FORM_CONTAINS_ERRORS : "message.formContainsErrors",
     MESSAGE_BEFORE : "message.before",
     MESSAGE_AFTER : "message.after",
     MESSAGE_PLEASE_ENTER_VALUE : "message.pleaseEnterValue",
     MESSAGE_EXPAND : "message.expand",
     MESSAGE_COLLAPSE : "message.collapse",
     MESSAGE_SERVER_RESPONSE_ERROR : "message.serverResponseError",
     MESSAGE_STATUS_ERROR : "message.statusError",
     MESSAGE_TOTAL_ERROR : "message.totalError",
     MESSAGE_TOTAL_ERRORS : "message.totalErrors",
     MESSAGE_TOTAL_OTHER_MESSAGES : "message.totalOtherMessages",
     MESSAGE_TOTAL_WARNING : "message.totalWarning",
     MESSAGE_TOTAL_WARNINGS : "message.totalWarnings",
     MESSAGE_TOTAL_MESSAGE : "message.totalMessage",
     MESSAGE_TOTAL_MESSAGES : "message.totalMessages",
     MESSAGE_THE : "message.the",
     MESSAGE_THE_SECTION_HAS_COUNT : "message.theSectionHasCount",
     NAVIGATION_MENU_CLASS : "uif-navigationMenu",
     PAGE_CONTENT_HEADER_CLASS : "Uif-PageContentWrapper",
     PAGE_VALIDATION_HEADER_CLASS : "uif-pageValidationHeader",
     PAGE_VALIDATION_MESSAGE_ERROR_CLASS : "uif-pageValidationMessages-error",
     PAGE_VALIDATION_MESSAGE_INFO_CLASS : "uif-pageValidationMessages-info",
     PAGE_VALIDATION_MESSAGE_WARNING_CLASS : "uif-pageValidationMessages-warning",
     PROGRESSIVE_DISCLOSURE_HIGHLIGHT_CLASS : "uif-progressiveDisclosure-highlight",
     REFRESH_METHOD_TO_CALL : "refresh",
     RETRIEVE_MESSAGE_METHOD_TO_CALL : "retrieveMessage",
     RETURN_TYPE_UPDATE_COMPONENT : "update-component",
     REQUIRED_MESSAGE_CLASS : "uif-requiredMessage",
     SAVE_LINE_ACTION_CLASS : "uif-saveLineAction",
     SERVER_MESSAGE_ITEMS_CLASS : "uif-serverMessageItems",
     STACKED_COLLECTION_LAYOUT_CLASS : "uif-stackedCollectionLayout",
     TABLE_COLLECTION_LAYOUT_CLASS : "uif-tableCollectionLayout",
     TAB_GROUP_CLASS : "Uif-TabGroup",
     TAB_MENU_CLASS : "uif-tabMenu",
     TOOLTIP_CLASS : "uif-tooltip",
     VALIDATION_IMAGE_CLASS : "uif-validationImage",
     VALIDATION_MESSAGES : "validationMessages",
     VALIDATION_MESSAGES_CLASS : "uif-validationMessagesList",
     VALIDATION_PAGE_HEADER_CLASS : "uif-pageValidationHeader",
     VALIDATION_SETUP_EVENT : "validationSetup",
     PAGE_LOAD_EVENT : "pageLoad",
     VIEW_CONTENT_HEADER_CLASS : "Uif-ViewContentWrapper",
     VIEW_STATE : "ViewState",
     WARNING_HIGHLIGHT_SECTION_CLASS : "uif-warningHighlight-section",
     WARNING_MESSAGE_ITEM_CLASS : "uif-warningMessageItem-field",
     GROUP_CLASS : "uif-group",
     ROW_DETAILS_CLASS : "uif-rowDetails",
     NEXT_INPUT : "NEXT_INPUT:"
}

var kradVariables = new JavascriptKradVariables();